Method: projects.locations.spaces.applicationTemplates.importIaC

Imports IaC for an application template.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:importIaC

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application template.

Request body

The request body contains data with the following structure:

JSON representation
{
  "allowPartialImport": boolean,
  "validateIac": boolean,

  // Union field source can be only one of the following:
  "gcsUri": string,
  "iacModule": {
    object (IaCModule)
  },
  "developerConnectSourceConfig": {
    object (DeveloperConnectSourceConfig)
  }
  // End of list of possible types for union field source.
}
Fields
allowPartialImport

boolean

Optional. If set to true, partially imports the valid edits in the IaC and ignores the invalid changes. Defaults to false, which means any edits which can't be imported must result in an error.

validateIac

boolean

Optional. If set to true, the IaC is validated against the golden terraform without importing. Defaults to false.

Union field source. The source location of terraform code. source can be only one of the following:
gcsUri

string

Optional. The Cloud Storage URI of the terraform code.

iacModule

object (IaCModule)

Optional. The IaC module to import.

developerConnectSourceConfig

object (DeveloperConnectSourceConfig)

Optional. Configuration for fetching content from source code repository such as GitHub or Bitbucket through Developer Connect.

Response body

If successful, the response body contains an instance of ImportApplicationTemplateIaCResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applicationTemplates.update

For more information, see the IAM documentation.